package mlproject.io;

import java.util.Collection;

public interface InputSequence<A> {
        String getName();
	A getX(int x);
	int length() ;
        InputSequence getComponent(int component); //composite InputSequence, inner sequences have to be the same length
        void addComponent(InputSequence component);
        void removeComponent(int component);
        boolean isComposite();
        int numberOfComponents();
}
